
# -*- coding: utf-8 -*-
##############################################################################

from openerp.osv import fields,osv

class res_partner(osv.osv):
    _inherit = 'res.partner'

    def _bank_payment_count(self, cr, uid, ids, field_name, arg, context=None):
        res = dict(map(lambda x: (x,0), ids))

        try:
            for partner in self.browse(cr, uid, ids, context):
                operator = '='
                bank_payment_ids = self.pool['res.bank.payments'].search(cr, uid, [('partner_id', operator, partner.id)], context=context)
                res[partner.id] =  len(partner.bank_payment_ids)
        except:
            pass
        return res

    _columns = {
        'bank_payment_count': fields.function(_bank_payment_count, string='# Oper. Bancarias', type='integer'),
        'bank_payment_ids': fields.one2many('res.bank.payments', 'partner_id', 'Oper. Bancarias')
    }

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
